Bug 845752 - [abrt] sound-juicer-3.4.0-1.fc17: __GI_raise: Process /usr/bin/sound-juicer was killed by signal 6 (SIGABRT)
[abrt] sound-juicer-3.4.0-1.fc17: __GI_raise: Process /usr/bin/sound-juicer w...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:c2dac2cb0a1bdf1f07416f59947...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 11:02 EDT by Sam Whited
Modified: 2014-02-05 07:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:02:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.65 KB, text/plain)
2012-08-04 11:02 EDT, Sam Whited
no flags Details
File: maps (64.20 KB, text/plain)
2012-08-04 11:02 EDT, Sam Whited
no flags Details
File: dso_list (13.11 KB, text/plain)
2012-08-04 11:02 EDT, Sam Whited
no flags Details
File: build_ids (5.37 KB, text/plain)
2012-08-04 11:02 EDT, Sam Whited
no flags Details

  None (edit)
Description Sam Whited 2012-08-04 11:02:31 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        sound-juicer
comment:        Extracting a particular audio cd with the format set to flac causes crash (in both Soundjuicer and Rhythmbox, so presumably it's in the shared flac library)
crash_function: __GI_raise
executable:     /usr/bin/sound-juicer
kernel:         3.5.0-2.fc17.x86_64
pid:            2716
pwd:            /home/sam
remote_result:  833560
time:           Sat 04 Aug 2012 10:43:42 AM EDT
uid:            1000
username:       sam
var_log_messages: Aug  4 10:43:43 falcata abrt[2786]: Saved core dump of pid 2716 (/usr/bin/sound-juicer) to /var/spool/abrt/ccpp-2012-08-04-10:43:42-2716 (120905728 bytes)

backtrace:      Text file, 35482 bytes
build_ids:      Text file, 5494 bytes
dso_list:       Text file, 13421 bytes
maps:           Text file, 65745 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sam/4

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x68827 g_assertion_message libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x68d44 g_assertion_message_expr libglib-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x13c758 - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x13dc7e - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x13dd00 - libgtk-3.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x6cfb7 g_simple_async_result_complete libgio-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x6d038 - libgio-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x179f75 gtk_main libgtk-3.so.0 -
:01de1a9443da67e967ee8feafa1fe22d52c1a822 0x106a7 main [exe] -

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=2
:MANPATH=:/usr/local/texlive/2012/texmf/doc/man
:XDG_SESSION_ID=4
:rvm_bin_path=/home/sam/.rvm/bin
:HOSTNAME=falcata.quercus
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GEM_HOME=/home/sam/.rvm/gems/ruby-1.9.3-p194
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:IRBRC=/home/sam/.rvm/rubies/ruby-1.9.3-p194/.irbrc
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/sam/keyring-DFvVvC
:MY_RUBY_HOME=/home/sam/.rvm/rubies/ruby-1.9.3-p194
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=sam
:__array_start=0
:rvm_path=/home/sam/.rvm
:UAEDITOR=vim
:escape_flag=1
:rvm_prefix=/home/sam
:MAIL=/var/spool/mail/sam
:PATH=/home/sam/.rvm/gems/ruby-1.9.3-p194/bin:/home/sam/.rvm/gems/ruby-1.9.3-p194@global/bin:/home/sam/.rvm/rubies/ruby-1.9.3-p194/bin:/home/sam/.rvm/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/sam/bin:/home/sam/.rvm/bin:/home/sam/.local/bin:/home/sam/bin:/usr/local/texlive/2012/bin/x86_64-linux
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/sam
:XMODIFIERS=@im=none
:EDITOR=vim
:GNOME_KEYRING_PID=2046
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:_second=1
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=gnome
:rvm_env_string=ruby-1.9.3-p194
:HISTCONTROL=ignoredups
:'rvm_version=1.14.6 (stable)'
:XDG_SEAT=seat0
:HOME=/home/sam
:SHLVL=1
:rvm_ruby_string=ruby-1.9.3-p194
:GIT_PS1_SHOWSTASHSTATE=true
:_first=0
:LOGNAME=sam
:VISUAL=vim
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:GEM_PATH=/home/sam/.rvm/gems/ruby-1.9.3-p194:/home/sam/.rvm/gems/ruby-1.9.3-p194@global
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-geAGCsDuSH,guid=ad651b1af55d8058c937cbb70000015c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:INFOPATH=:/usr/local/texlive/2012/texmf/doc/info
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/sam
:DISPLAY=:0
:RUBY_VERSION=ruby-1.9.3-p194
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-sam-VpIhcz/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2050,unix/unix:/tmp/.ICE-unix/2050
:GPG_AGENT_INFO=/run/user/sam/keyring-DFvVvC/gpg:0:1
:SSH_AUTH_SOCK=/run/user/sam/keyring-DFvVvC/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/sound-juicer.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2716
:DESKTOP_STARTUP_ID=gnome-shell-2265-falcata.quercus-sound-juicer-1_TIME509481

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 28937                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       28937                28937                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/sam/.xsession-errors
:pos:	309434
:flags:	0102002
:2:/home/sam/.xsession-errors
:pos:	309434
:flags:	0102002
:3:socket:[78747]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[78750]
:pos:	0
:flags:	02004002
:6:socket:[93217]
:pos:	0
:flags:	02
:7:socket:[93218]
:pos:	0
:flags:	02004002
:8:socket:[78761]
:pos:	0
:flags:	02004002
:9:/dev/urandom
:pos:	0
:flags:	02100000
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[92901]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:15:socket:[94223]
:pos:	0
:flags:	02000002
:16:/home/sam/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:17:/home/sam/.local/share/gvfs-metadata/home-c9bd4257.log
:pos:	0
:flags:	0100000
:18:socket:[110572]
:pos:	0
:flags:	02004002
:19:socket:[110332]
:pos:	0
:flags:	04002
:20:socket:[110333]
:pos:	0
:flags:	04002
:21:/home/sam/Music/dot dot dash/dot dot dash 2/.Disc 1 - 1 - The Anderblood Girls.flac
:pos:	1632758
:flags:	0100001
:22:/dev/sr0
:pos:	0
:flags:	0104002
:23:/dev/sr0
:pos:	0
:flags:	0104002
Comment 1 Sam Whited 2012-08-04 11:02:35 EDT
Created attachment 602253 [details]
File: backtrace
Comment 2 Sam Whited 2012-08-04 11:02:36 EDT
Created attachment 602254 [details]
File: maps
Comment 3 Sam Whited 2012-08-04 11:02:38 EDT
Created attachment 602255 [details]
File: dso_list
Comment 4 Sam Whited 2012-08-04 11:02:40 EDT
Created attachment 602256 [details]
File: build_ids
Comment 5 Marco Nolden 2012-11-09 09:41:17 EST
Sound juicer was extracting a CD to my $HOME foler. I created a new $HOME/Music folder during this, it crashed.

backtrace_rating: 4
Package: sound-juicer-3.4.0-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Marco Nolden 2012-11-09 09:42:49 EST
in addition to the last comment: FLAC format as well.
Comment 7 Fedora End Of Life 2013-07-03 16:41:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Sam Whited 2013-07-03 16:44:20 EDT
Changed version to 18 (where I have also seen this issue several times); will attempt to reproduce in 19 as well when I get the time and will update if I find anything.
Comment 9 Fedora End Of Life 2013-12-21 03:40:08 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 07:02:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.